<ion-header>
  <ion-navbar color="primary">
    <ion-title>Deliveries</ion-title>
    <ion-buttons end>
        <button ion-button icon-only (click)="filters()"><ion-icon name="ios-funnel-outline"></ion-icon></button>
    </ion-buttons>
  </ion-navbar>
  <ion-navbar>
    <ion-item no-lines>
      <ion-label>Apply Filters</ion-label>
      <ion-toggle [(ngModel)]="_applyFilter" (ionChange)="applyFilter()"></ion-toggle>
    </ion-item>
  </ion-navbar>
</ion-header>

<ion-content>
  <div *ngIf="hasLoaded">    
  
    <ion-card *ngFor="let order of orders" (click)="openDetail(order)">
      <ion-card-header>{{order.customer}}</ion-card-header>
      <ion-card-content>
          <p><ion-icon name="ios-person-outline" item-start></ion-icon> {{order.deliverer_name}}</p>
          <p><ion-icon name="ios-bus-outline" item-start></ion-icon> {{order.truck}}</p>
          <p *ngIf="order.delivered_date != -28800000"><ion-icon name="time" item-start></ion-icon> {{order.delivered_date | date:'MMM dd, yyyy HH:mm'}}</p>
          <p *ngIf="order.photos"><ion-icon name="ios-photos-outline" item-start></ion-icon> {{order.photos.length}} photos</p>
          <p *ngIf="isAdmin && order.location && order.location.latitude !== 0"><ion-icon name="ios-pin-outline" item-start></ion-icon> <span class="view-location" (click)="viewLocation(order, $event)">View Location</span></p>
          <p *ngIf="order.paid"><ion-icon name="ios-thumbs-up-outline" item-start color="secondary"></ion-icon><span class="paid">PAID</span></p>

      </ion-card-content>
    </ion-card>
  </div>

  <div class="skeleton" *ngIf="!hasLoaded">
    <div class="card">
      <div class="name"></div>
      <div class="line"></div>
      <div class="line"></div>
      <div class="line"></div>
    </div>
    <div class="card">
      <div class="name"></div>
      <div class="line"></div>
      <div class="line"></div>
      <div class="line"></div>
    </div>
  </div>
</ion-content>

<button ion-fab class="fab-button" (click)="add()">
    <ion-icon name="add"></ion-icon>
</button>